### Virtual Method

# Gck ObjectCache fill

#### Declaration [src]

    void
    fill (
      GckObjectCache* object,
      GckAttributes* attrs
    )

#### Description [src]

Adds the attributes to the set cached on this object. If an attribute is already present in the cache it will be overridden by this value.

This will be done in a thread-safe manner.

If the `attrs` `GckAttributes` is floating, it is consumed.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to cache.

  The data is owned by the caller of the function.